org.apache.cassandra.cache

## Class CacheKey

- java.lang.Object
- - org.apache.cassandra.cache.CacheKey

- All Implemented Interfaces:
    IMeasurableMemory
  Direct Known Subclasses:
    CounterCacheKey, KeyCacheKey, RowCacheKey

      public abstract class CacheKey
      extends java.lang.Object
      implements IMeasurableMemory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Pair<java.lang.String,java.lang.String>` | `ksAndCFName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

      `unsharedHeapSize`

- - ### Field Detail

    - #### ksAndCFName

          public final Pair<java.lang.String,java.lang.String> ksAndCFName

  - ### Constructor Detail

    - #### CacheKey

          public CacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName)

Copyright © 2018 The Apache Software Foundation